Comment 133 for bug 121653

Phil Estes (estesp) wrote :

Yes, it was made clear in the release notes and article that the latest driver still does not have "2.6.23 kernel support", which is most likely a euphemism for not handling the SLUB allocator which is default in 2.6.23. However, the bright side according to the article is that next month's drop is supposed to include it.

As an aside, 8.42.3 does allow use of compiz without xgl since it has AIGLX support built into fglrx. You have to edit /usr/bin/compiz to add "fglrx" to the WHITELIST of drivers that are "allowed" to use compiz.